#include <iostream>

#include <gtk/gtkstock.h>
#include <gtk/gtkmain.h>

#include "menu_edit.h"
#include "it_gui.h"
#include "support/generaldialogs.h"

#include "dialogs.h"

#include "config.h"
#include "gettext.h"
#define _(x) gettext(x)
#define N_(x) gettext_noop(x)

using namespace std;


#if 0
static void savegeometry(pp_MainWindow *mw)
{
	gint x,y,w,h;
	gtk_window_get_position(GTK_WINDOW(mw),&x,&y);
	gtk_window_get_size(GTK_WINDOW(mw),&w,&h);

	mw->state->SetInt("Win_X",x);
	mw->state->SetInt("Win_Y",y);
	mw->state->SetInt("Win_W",w);
	mw->state->SetInt("Win_H",h);
}
#endif

static void edit_preferences(GtkAction *action,gpointer *ob)
{
	IT_GUI *gui=(IT_GUI *)ob;
	PreferencesDialog(GTK_WINDOW(gui->window),*gui);
}


static GtkActionEntry editmenu_entries[] = {
  { "EditMenu", NULL, N_("_Edit") },

  { "Preferences", NULL, N_("_Preferences..."), NULL, N_("Edit preferences"), G_CALLBACK(edit_preferences) },
};

static const char *editmenu_ui_description =
"<ui>"
"  <menubar name='MainMenu'>"
"    <menu action='EditMenu'>"
"      <menuitem action='Preferences'/>"
"    </menu>"
"  </menubar>"
"</ui>";


void BuildEditMenu(void *userdata,GtkUIManager *ui_manager)
{
	GError *error=NULL;
	GtkActionGroup *action_group;
	action_group = gtk_action_group_new ("EditMenuActions");
	gtk_action_group_set_translation_domain(action_group,PACKAGE);
	gtk_action_group_add_actions (action_group, editmenu_entries, G_N_ELEMENTS (editmenu_entries), userdata);
	gtk_ui_manager_insert_action_group (ui_manager, action_group, 0);
	
	if (!gtk_ui_manager_add_ui_from_string (ui_manager, editmenu_ui_description, -1, &error))
		throw error->message;
}
